> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: b8e1a04a-4d75-486a-bd74-41d65f39a4e9
---

# List layouts

> Get all layouts for an account. Supports paging and filtering.



## OpenAPI

````yaml specs/legacy/v2/layouts-v2.json GET /content/api/v2/layouts
openapi: 3.0.1
info:
  title: Layouts API
  description: >-
    Use the layouts API to retrieve data about global groups for CMS templates
    in the developer file system. These layouts can be found in the design
    manager.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Layouts
paths:
  /content/api/v2/layouts:
    get:
      tags:
        - Layouts
      summary: List layouts
      description: Get all layouts for an account. Supports paging and filtering.
      operationId: getLayouts
      parameters:
        - name: limit
          in: query
          description: The number of items to return. Defaults to 20.
          schema:
            type: integer
            default: 20
        - name: offset
          in: query
          description: The offset set to start returning rows from. Defaults to 0.
          schema:
            type: integer
            default: 0
        - name: category_id
          in: query
          description: Filter by category ID (exact)
          schema:
            type: string
        - name: created
          in: query
          description: Filter by creation date (exact, range, gt, gte, lt, lte)
          schema:
            type: string
        - name: id
          in: query
          description: Filter by ID (exact, in)
          schema:
            type: string
        - name: label
          in: query
          description: Filter by label (exact)
          schema:
            type: string
        - name: path
          in: query
          description: Filter by path (exact)
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  objects:
                    type: array
                    items:
                      $ref: '#/components/schemas/Layout'
                  total:
                    type: integer
                    description: Total number of layouts
                  limit:
                    type: integer
                    description: Limit used in query
                  offset:
                    type: integer
                    description: Offset used in query
              examples:
                list_layouts:
                  summary: List layouts with limit=2
                  value:
                    limit: 2
                    offset: 0
                    total: 46
                    total_count: 46
                    objects:
                      - attached_amp_stylesheet: 0
                        attached_js: []
                        attached_stylesheets: []
                        author: marketplaceteam@hubspot.com
                        author_at: 1548263624833
                        body:
                          enable_domain_stylesheets: false
                          include_default_custom_css: false
                          folder: Default_Search
                          attached_stylesheets: []
                          cdn_purge_embargo_time: 1548263924820
                          attached_js: []
                          custom_head: ''
                          attached_amp_stylesheet: 0
                          body_css_id: null
                          custom_footer: ''
                          body_class: ''
                          body_css: ''
                          builtin: false
                          purchased: false
                          generator: null
                          generated_template_id: 5857301778
                          marketplace_good_id: 263737
                          cloned_from: null
                          body_editable: false
                          content_tags:
                            - name: SINGLE_COLUMN
                              source: MARKETPLACE
                            - name: DRAG_AND_DROP
                              source: MARKETPLACE
                            - name: OTHER_INDUSTRY
                              source: MARKETPLACE
                            - name: HIDDEN
                              source: MARKETPLACE
                          last_edit_session_id: null
                          last_edit_update_id: null
                          has_user_changes: true
                          marketplace_delivery_id: 25843497
                          is_read_only: true
                        body_class: ''
                        body_css: ''
                        body_editable: false
                        builtin: false
                        category: 1
                        category_id: 1
                        cdn_purge_embargo_time: 1548263924820
                        content_tags:
                          - name: SINGLE_COLUMN
                            source: MARKETPLACE
                          - name: DRAG_AND_DROP
                            source: MARKETPLACE
                          - name: OTHER_INDUSTRY
                            source: MARKETPLACE
                          - name: HIDDEN
                            source: MARKETPLACE
                        created: 1520438256581
                        custom_footer: ''
                        custom_head: ''
                        default: false
                        deleted_at: 0
                        enable_domain_stylesheets: false
                        folder: Default_Search
                        folder_id: 5500358806
                        generated_template_id: 5857301778
                        host_template_types:
                          - ANY
                        id: 5857301776
                        include_default_custom_css: false
                        is_available_for_new_content: true
                        is_read_only: true
                        label: Site Search Results Page
                        languages: []
                        marketplace_delivery_id: 25843497
                        marketplace_good_id: 263737
                        meta:
                          hasBufferedChanges: false
                        path: generated_layouts/5626542347.html
                        portal_id: 62515
                        purchased: false
                        template_type: 4
                        updated: 1548263624833
                        updated_by: marketplaceteam@hubspot.com
                        updated_by_id: 2411823
components:
  schemas:
    Layout:
      type: object
      properties:
        id:
          type: string
          description: The unique id of the layout
        label:
          type: string
          description: The name of the layout that shows up in template builder
        path:
          type: string
          description: The path of the layout as it shows up in template builder
        category_id:
          type: string
          description: The category the layout applies to
        created:
          type: integer
          description: When the layout was first created, in milliseconds since the epoch
        updated:
          type: integer
          description: When the layout was last updated, in milliseconds since the epoch
        deleted_at:
          type: integer
          description: When the layout was deleted, in milliseconds since the epoch
        body_class:
          type: string
          description: The CSS class applied to the layout body
        body_css_id:
          type: string
          description: The CSS id applied to the layout body
        layout_data:
          type: object
          description: A complex JSON structure with the actual data for the layout
        custom_head:
          type: string
          description: Custom HTML added to the head of pages using the layout
        include_default_custom_css:
          type: boolean
          description: Flag to include the Primary CSS stylesheet
        enable_domain_stylesheet:
          type: boolean
          description: Flag to include the domain stylesheets for a page using the layout
        attached_stylesheets:
          type: array
          items:
            type: string
          description: >-
            List of references to stylesheets that are attached directly to the
            layout

````